LINUX.ORG.RU

Интересны ли кому свежие пакеты Wine для Debian Squeeze/Wheezy?

 ,


3

3

Пара моментов, которые побудили меня задать этот вопрос:

По долгу службы мне приходится использовать Visio, а для этого нужен Wine. До недавнего времени самый свежий Wine я брал тут: http://dev.carbon-project.org/debian/wine-unstable/, но довольно давно версия тамошней сборки wine застыла на 1.5.5 (сейчас актуальна 1.5.19). Второй момент - я не разделяю мнение мэйнтейнера не выкладывать пакеты в репозитарий.

Поскольку до релиза Wheezy похоже ситуация не изменится, то я начал пакетировать новые версии Wine, взяв за основу пакет, который подготовил Kai Wasserbäch (dev.carbon-project.org). Я использую только архитектуру i386 и собираю пакеты под нее.

А теперь вопрос - нужны ли кому-то кроме меня эти пакеты? Второй вопрос - может уже есть кто-то, кто собирает то же самое и я делаю лишнюю работу? Если так, то поделитесь ссылкой.

Забрать мою версию можно тут: http://www.tataranovich.com/repository.html

А трояна там нет? Можно скачать бесплатно без смс?

roman77 ★★★★★ ()

А теперь вопрос - нужны ли кому-то кроме меня эти пакеты?

Да, нужны.

Второй вопрос - может уже есть кто-то, кто собирает то же самое и я делаю лишнюю работу? Если так, то поделитесь ссылкой.

Не знаю.

Забрать мою версию можно тут: http://www.tataranovich.com/repository.html

Спасибо :)

gv ()
Ответ на: комментарий от roman77

А трояна там нет? Можно скачать бесплатно без смс?

Есть исходники. И да, без SMS =)

IceMan ()

Второй вопрос - может уже есть кто-то, кто собирает то же самое и я делаю лишнюю работу? Если так, то поделитесь ссылкой.

http://main.mepis-deb.org/mepiscr/testrepo/pool/test/w/wine/
Но они недавно тоже перестали обновляться.

Зачем бампать версии? Если программа одна, то нужно выбрать наиболее стабильно работающий с ней релиз и на нём и сидеть.

aidaho ★★★★★ ()

кстати, никто не мешает брать сорцы из убунтушного PPA

lazyklimm ★★★★★ ()

Вообще интересно. Попробую дома, отпишусь когда попробую.

P.S. Может кто знает, как в Wheezy x64 + nVidia запустить Win32 приложение с OpenGL? Писало про multiarch, но что-то пока оно не работает. Куда копать?

spoilt ★★ ()
Ответ на: комментарий от aidaho

Я начал использовать Visio с Wine версии 1.5.5. В сравнении с версией 1.5.18 (1.5.19 еще не пробовал) заметно прибавило в скорости. Так что смысл есть.

IceMan ()
Ответ на: комментарий от lazyklimm

Я пробовал, чтобы пересобрать пакет приходится каждый раз перебивать версии зависимостей в debian/control (про остальное не помню), а в моем случае достаточно просто поднять версию и запустить сборку.

IceMan ()
Ответ на: комментарий от IceMan

(1.5.19 еще не пробовал)

я собрал на основе вашего -debian.tar.bz2 1.5.19, вот только не знаю нужно ли поправлять еще и *.install файлы в debian/

PaxtonFettel ()
Ответ на: комментарий от IceMan

кстати, не могу достучаться по ipv6

wget -6 http://www.tataranovich.com/repository.html                                                                                                    :(
--2012-12-10 12:36:13--  http://www.tataranovich.com/repository.html
Распознаётся www.tataranovich.com (www.tataranovich.com)... 2001:470:1f12:8ea::2
Подключение к www.tataranovich.com (www.tataranovich.com)|2001:470:1f12:8ea::2|:80... 

и мертвяк :/

lazyklimm ★★★★★ ()
Ответ на: комментарий от lazyklimm

Странно, в логах видно, как народ тягает через ipv6. Вечером попробую у себя проверить. Если у кого еще есть проблемы с ipv6 - пишите, буду разбираться.

IceMan ()
Ответ на: комментарий от IceMan
 3  gige-g2-13.core1.ams1.he.net (2001:470:0:7d::1)  265.353 ms  265.341 ms  265.342 ms
 4  10gigabitethernet2-1.core1.par2.he.net (2001:470:0:1b3::2)  265.343 ms  265.344 ms  265.368 ms
 5  10gigabitethernet3-1.core1.par1.he.net (2001:470:0:1b0::1)  265.340 ms  265.341 ms  265.342 ms
 6  ordns.he.net (2001:470:20::2)  265.351 ms  229.525 ms  119.276 ms
 7  * * *
 8  * * *

и всё

lazyklimm ★★★★★ ()
Ответ на: комментарий от roman77

Наверное неправильно выразился. Multiarch работает. 32-битные либы стоят, Wine работает, но приложения использующие OpenGL/Direct3D не фурычат.

spoilt ★★ ()

Извиняюсь за нубство, но.... вайна я не нашел в репах оО

roman77 ★★★★★ ()
Ответ на: комментарий от roman77

Я собираю Wine для Squeeze и Wheezy (только i386). Если нужно в Sid, то должно ставиться их реп Wheezy.

IceMan ()

Молодец конечно, но актуальную версию можно взять здесь

deb http://kanotix.com/files/dragonfire ./
deb-src http://kanotix.com/files/dragonfire ./

Только ключ D20D6E6F6AECC53D найти нигде не удается.

Programmist11180 ★★★ ()

Playonlinux поставь уже, там менеджер вайнов есть.

Dron ★★★★★ ()
Ответ на: комментарий от Programmist11180

Спасибо за ссылку. А тамошний wine ставится на debian squeeze?

IceMan ()
Ответ на: комментарий от Dron

Не нравится мне софт который качает загадочные бинари.

IceMan ()
Ответ на: комментарий от lazyklimm

Нет там 64 бит.

Package: wine-unstable
Priority: optional
Section: otherosfs
Installed-Size: 25
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Architecture: amd64
Version: 1.5.19-0
Depends: wine-bin-unstable (>= 1.5.19-0) | wine64-bin
Suggests: wine-doc, binfmt-support, ttf-mscorefonts-installer, winbind, avscan | klamav | clamav
Filename: ./updates/wine-unstable-1.5.19/wine-unstable_1.5.19-0_amd64.deb
Size: 1008
MD5sum: 65772059e6ba5a4a08c64cc0203f91b6
SHA1: a646a96559babb854383c6c28f18712eba090b7e
SHA256: 62e5cf890220ea6a198a0d9972a95c8513c653164a6319505f4821b599920a01
Description: Windows API implementation - standard suite
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This is a virtual package that depends on the standard Wine components.
Homepage: http://www.winehq.org/

wine-bin-unstable только для i386. А wine64-bin это пакет-заглушка.

Programmist11180 ★★★ ()
Ответ на: комментарий от IceMan

Я нашел этот репозиторий в комментариях в теме о выходе WINE 1.5.19, т.е. только-только начал использовать его. Но последняя версия на следующий день после выхода уже была в репозитории.

Programmist11180 ★★★ ()

Добавил пакеты для wine 1.5.20 (анонс). Пакеты собраны для Debian Squeeze/Wheezy (только i386). Взять можно тут

IceMan ()

свежие пакеты ... для Debian

ЦА любит попрохладнее и подгнившее же; свежие пакеты это НЕСТАБИЛЬНО и ест младенцев.

anonymous ()
Ответ на: комментарий от anonymous

Не вся аудитория сидит на pure-stable. Например мне нужна стабильность большей части системы и свежие версии для пары-тройки не mission-critical приложений.

IceMan ()
Ответ на: комментарий от IceMan

Спасибо.
На канотиксе что-то не торопятся выкладывать последнюю версию, да и требование ключа достало, поэтому перейду на ваш репозиторий.

Programmist11180 ★★★ ()
Ответ на: комментарий от Programmist11180

А, точно, вот так:

wget -q -O- "http://kanotix.com/files/hellfire/Kanotix.gpg" | apt-key add -

Darth_Revan ★★★★★ ()

Добавил репу для сквиза . но вайна там нет. ЧЯДНТ?

GNU-Ubuntu1204LTS ★★★ ()
Ответ на: комментарий от GNU-Ubuntu1204LTS

А архитектура у вас какая? У меня пакеты только для i386.

IceMan ()

В репозитории liquorix лежат свежие версии Wine.

Valdor ★★ ()
Ответ на: комментарий от GNU-Ubuntu1204LTS

Если вопрос про MC, то он у меня AS-IS.

А если вопрос про жизнь в общем, то на все воля всевышнего =)

IceMan ()
Ответ на: комментарий от Valdor

http://liquorix.net/ ? - 403 forbidden. Не флейма ради, просто ищу кого-нить, кто делает тоже самое для debian stable и возможно лучше меня, чтобы не делать это самому =)

IceMan ()
Ответ на: комментарий от GNU-Ubuntu1204LTS

Я как-то пробовал собирать под 64-битную архитектуру, но оно с первого раза не взлетело. Для себя я пользую Debian 32 bit, потому дальше я не разбирался. Если запросов будет много, то посмотрю в чем проблема.

IceMan ()
Ответ на: комментарий от GNU-Ubuntu1204LTS

Для squeeze похоже нормально работать не будет. В squeeze gcc 4.4.5, а для полноценной работы 64-битной версии нужен gcc 4.5.x.

Пока соберу посредством gcc 4.4.5, а дальше видно будет.

IceMan ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.